.io-codequality-title {
  margin: 3rem 0 0.6rem;
  font-size: 1.2rem;
}

.io-codequality-intro p {
  margin: 12px 0;
}

.io-codequality-intro {
  border: 1px solid lightgray;
  border-top: none;
  padding: 16px 1rem;
}

pre.language-java {
  margin-top: 12px !important; /* conflicts with si.css */
  border: 1px solid whitesmoke;
}

.io-codequality-intro ul {
  padding-left: 0;
  margin-top: 10px;
  list-style-type: none;
}

.io-codequality-intro input {
  /* match 15px margin-top of p */
  margin-top: 15px;
}

.io-codequality-intro li {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
  border-radius: 4px;
  transition: all 0.2s;
  border-left: 4px solid transparent;
  margin-top: 6px;
}

.io-codequality-intro label {
  display: flex;
  align-items: flex-start;
  gap: 0.75rem;
  cursor: pointer;
}

/* --- Feedback Styles --- */
button[id^='cq-check-btn-'] {
  padding: 6px 12px;
  background: #007722;
  cursor: pointer;
  border: 0;
  color: #fff;
  margin-top: 0.5rem;
}

.cq-option-feedback {
  display: none;
  margin-top: -8px;
  margin-left: 40px;
  background-color: #fff9db;
  padding-top: 4px;
  padding-bottom: 4px;
  padding-left: 12px;
  padding-right: 12px;
}
.cq-option-feedback p {
  margin-top: 4px;
  margin-bottom: 4px;
}

ul > li {
  background: none !important;
}

li.cq-correct {
  border-style: solid;
  border-color: #16a34a;
  border-left-width: 4px;
  background-color: #f0fdf4;
  padding-bottom: 12px;
}

li.cq-incorrect {
  border-style: solid;
  border-color: #dc2626;
  border-left-width: 4px;
  background-color: #fef2f2;
  padding-bottom: 12px;
}
li.cq-correct-selected {
  border-width: 1px 1px 1px 4px;
}
li.cq-incorrect-selected {
  border-width: 1px 1px 1px 4px;
}
li.dehighlight .cq-option-feedback {
  filter: grayscale(1);
  font-size: 0.87em;
  margin-bottom: 12px;
}

div[id^='cq-overall-feedback-'] {
  margin-top: 1rem;
  padding: 0.8rem;
  border-radius: 6px;
  font-weight: 600;
}

.cq-overall-correct {
  background-color: #dcfce7;
  color: #15803d;
}

.cq-overall-incorrect {
  background-color: #fee2e2;
  color: #b91c1c;
}

.codemirror-syntax-highlighting {
  border: 1px solid #ccc;
  border-radius: 4px;
  margin-top: 12px;
  margin-bottom: 12px;
}
